Improbable Icon

SpatialOS Forums

MacOS Catalina upgrade - important SpatialOS information

Hi all devs,

For all those looking to upgrade to macOS Catalina at the end of the month, we just wanted to give you some important SpatialOS information.

MacOS Catalina is unsupported for SpatialOS development and if you wish to continue developing with SpatialOS on your MacOS machine, please do not update to macOS Catalina.

If you do, please be aware that it is currently not possible to downgrade from macOS Catalina without a full device wipe.

You can find more information about what SpatialOS system requirements there are here.

Work is in progress for future SpatialOS support for macOS Catalina, but right now, it is unsupported. Please stay tuned for for future information.

Best,
Nee